Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.facet
Class SOMFacet

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.facet.SOMFacet

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FacetEncoding, FacetEnumeration, FacetPattern, FacetPeriod, FacetWhiteSpace, NumericFacet

public abstract class SOMFacet
extends SOMObject

See Also:
  Serialized Form

Field Summary
`static String` | `duration` Deprecated. 3/16/2001
`static String` | `encoding` Deprecated. 3/16/2001
`static String` | `enumeration`
`static String` | `fractionDigits`
`static String` | `length`
`static String` | `maxExclusive`
`static String` | `maxInclusive`
`static String` | `maxLength`
`static String` | `minExclusive`
`static String` | `minInclusive`
`static String` | `minLength`
`static String` | `pattern`
`static String` | `period` Deprecated. 3/16/2001
`static String` | `precision` Deprecated. 3/16/2001
`static String` | `scale` Deprecated. 3/16/2001
`static String` | `totalDigits`
`static String` | `whiteSpace`

Constructor Summary
`SOMFacet()`

Method Summary
`Hashtable` | `getAttributes(boolean getAll)`
`static SOMFacet` | `getFacet(String facet_type, String val)`
`boolean` | `getFixed()`
`String` | `getTagName()`
`abstract String` | `getValue()`
`void` | `setFixed(boolean f)`
`abstract void` | `setValue(String val)`
`void` | `toXML(Writer rtn, int indent)` Outputs a formatted XML representation of SOMObject.

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getID, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### length

    public static final String length

See Also:
  `FacetLength`, Constant Field Values

### minLength

    public static final String minLength

See Also:
  `FacetMinLength`, Constant Field Values

### maxLength

    public static final String maxLength

See Also:
  `FacetMaxLength`, Constant Field Values

### pattern

    public static final String pattern

See Also:
  `FacetPattern`, Constant Field Values

### enumeration

    public static final String enumeration

See Also:
  `FacetEnumeration`, Constant Field Values

### whiteSpace

    public static final String whiteSpace

See Also:
  `FacetWhiteSpace`, Constant Field Values

### maxInclusive

    public static final String maxInclusive

See Also:
  `FacetMaxInclusive`, Constant Field Values

### maxExclusive

    public static final String maxExclusive

See Also:
  `FacetMaxExclusive`, Constant Field Values

### minExclusive

    public static final String minExclusive

See Also:
  `FacetMinExclusive`, Constant Field Values

### minInclusive

    public static final String minInclusive

See Also:
  `FacetMinInclusive`, Constant Field Values

### precision

    public static final String precision

  Deprecated. 3/16/2001

  See Also:
    `FacetPrecision`, Constant Field Values

### scale

    public static final String scale

  Deprecated. 3/16/2001

  See Also:
    `FacetScale`, Constant Field Values

### encoding

    public static final String encoding

  Deprecated. 3/16/2001

  See Also:
    `FacetEncoding`, Constant Field Values

### duration

    public static final String duration

  Deprecated. 3/16/2001

  See Also:
    `FacetDuration`, Constant Field Values

### period

    public static final String period

  Deprecated. 3/16/2001

  See Also:
    `FacetPeriod`, Constant Field Values

### totalDigits

    public static final String totalDigits

See Also:
  `FacetTotalDigits`, Constant Field Values

### fractionDigits

    public static final String fractionDigits

See Also:
  `FacetFractionDigits`, Constant Field Values

Constructor Detail

### SOMFacet

    public SOMFacet()

Method Detail

### getValue

    public abstract String getValue()

### setValue

    public abstract void setValue(String val)

### setFixed

    public void setFixed(boolean f)

### getFixed

    public boolean getFixed()

### getAttributes

    public Hashtable getAttributes(boolean getAll)

### getTagName

    public String getTagName()

### toXML

    public void toXML(Writer rtn,
                      int indent)
               throws IOException

  Description copied from class: `SOMObject`
  Outputs a formatted XML representation of SOMObject.

  Specified by:
    `toXML` in class `SOMObject`
  Parameters:
    `rtn` - printable XML Schema
    `indent` - the indent level for formatting at which to start this schema object.
  Throws:
    `IOException` - if IOExcpetion is thrown by underlying java.io.Writer

### getFacet

    public static SOMFacet getFacet(String facet_type,
                                    String val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD